Bug 1023309 - geo-replication command failed
geo-replication command failed
Status: CLOSED DEFERRED
Product: GlusterFS
Classification: Community
Component: geo-replication (Show other bugs)
3.3.1
Unspecified Linux
unspecified Severity urgent
: ---
: ---
Assigned To: bugs@gluster.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 03:47 EDT by jordi
Modified: 2014-12-14 14:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-14 14:40:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jordi 2013-10-25 03:47:03 EDT
Hi!
I'm trying to create a geo-replicated demo, but I get this error:

gluster volume geo-replication test-volume  ssh://root@NCSL008:/home/node1 start

geo-replication command failed


I've configured the SSH and all nodes have the same Gluster version, Phyton, etc..

How can I solve this error?

Additional info:
log:
[2013-10-25 09:36:55.413148] I [glusterd-utils.c:285:glusterd_lock] 0-glusterd: Cluster lock held by ed281714-3b65-4b9d-900f-1159fe66735c
[2013-10-25 09:36:55.413158] I [glusterd-handler.c:463:glusterd_op_txn_begin] 0-management: Acquired local lock
[2013-10-25 09:36:55.413883] I [glusterd-rpc-ops.c:548:glusterd3_1_cluster_lock_cbk] 0-glusterd: Received ACC from uuid: 430e6c9b-8c61-4689-831e-ccd265b0f68d
[2013-10-25 09:36:55.461284] E [glusterd-geo-rep.c:277:glusterd_urltransform] 0-: reading data from child failed
[2013-10-25 09:36:55.461420] I [glusterd-op-sm.c:2039:glusterd_op_ac_send_stage_op] 0-glusterd: Sent op req to 1 peers
[2013-10-25 09:36:55.513016] I [glusterd-rpc-ops.c:881:glusterd3_1_stage_op_cbk] 0-glusterd: Received ACC from uuid: 430e6c9b-8c61-4689-831e-ccd265b0f68d
[2013-10-25 09:36:55.564670] E [glusterd-geo-rep.c:277:glusterd_urltransform] 0-: reading data from child failed
[2013-10-25 09:36:55.564710] E [glusterd-op-sm.c:2350:glusterd_op_ac_send_commit_op] 0-management: Commit failed
[2013-10-25 09:36:55.564731] I [glusterd-op-sm.c:2254:glusterd_op_modify_op_ctx] 0-management: op_ctx modification not required
[2013-10-25 09:36:55.565285] I [glusterd-rpc-ops.c:607:glusterd3_1_cluster_unlock_cbk] 0-glusterd: Received ACC from uuid: 430e6c9b-8c61-4689-831e-ccd265b0f68d
[2013-10-25 09:36:55.565285] I [glusterd-op-sm.c:2653:glusterd_op_txn_complete] 0-glusterd: Cleared local lock
Comment 1 jordi 2013-10-29 08:30:44 EDT
I still have the same error, How can I solve it?
Comment 2 Niels de Vos 2014-11-27 09:54:35 EST
The version that this bug has been reported against, does not get any updates from the Gluster Community anymore. Please verify if this report is still valid against a current (3.4, 3.5 or 3.6) release and update the version, or close this bug.

If there has been no update before 9 December 2014, this bug will get automatocally closed.

Note You need to log in before you can comment on or make changes to this bug.